UMIDI(4)

NAME
umidi - USB support for MIDI devices

SYNOPSIS
umidi* at uhub?
midi* at umidi?

DESCRIPTION
The umidi driver supports USB MIDI devices that conform to the Universal Serial Bus Device Class Definition for MIDI Devices. Vendor-specific support is also included for the following:

  Midiman devices
MidiSport 2x4

  Roland and Edirol devices
Fantom-X
PC300
PCR
SC8820
SC8850
SCD70
SD20
SD80
SD90
SK500
SonicCell
U8
UA25
UA100
UA101
UA10F
UA4FX
UA700
UA1000
UM1
UM2
UM3
UM4
UM550
UM880N
XV5050

  Yamaha devices
UX256
    (product-specific support)
Others
    Other Yamaha MIDI devices will be attached and are expected to work also.

Devices supported by the umidi driver will appear as midi(4) devices.

SEE ALSO
midi(4), usb(4)

HISTORY
The umidi driver appeared in NetBSD 1.6.